# EntityInfo Claim Structure

The table below provides a detailed description of each attribute in the `EntityInfo` object, which is a mandatory claim in all Corppass ID Tokens.

{% hint style="info" %}
**Mandatory Attributes**: These attributes will always be present in the `EntityInfo` object and will always contain a value, which could be a blank string if no data is available.

**Non-Mandatory Attributes**: These attributes will only appear if data is available and are not strictly required by the schema.
{% endhint %}

<table><thead><tr><th width="186.19921875">Field</th><th>Description</th><th width="117.796875">Data Type</th><th width="83.64453125">Length</th><th width="100.65234375">Mandatory</th></tr></thead><tbody><tr><td>CPEntID</td><td>Unique identifier for the entity, such as UEN (Unique Entity Number).</td><td>String</td><td>10</td><td>Yes</td></tr><tr><td>CPEnt_Status</td><td><p>Status of the entity in Corppass as provided by issuance agencies. The possible values for entity status are:</p><ul><li>Registered</li><li>De-Registered</li><li>Withdrawn</li><li>Blank (Specific for Non-UEN scenario)</li></ul></td><td>String</td><td>20</td><td>Yes</td></tr><tr><td>CPEnt_TYPE</td><td><p>Type of Entity that the user belongs to. The possible values for entity type are:</p><ul><li>UEN</li><li>NON-UEN (Includes non-UEN entities as well as ASGD/ITR entities)</li><li>GSTN</li></ul></td><td>String</td><td>10</td><td>Yes</td></tr><tr><td>CPNonUEN_RegNo</td><td>Entity registration number of Non-UEN entity which is entered during Corppass Admin registration. Value will be "" if user belongs to UEN entity.</td><td>String</td><td>15</td><td>Yes</td></tr><tr><td>CPNonUEN_Country</td><td>Country of incorporation of Non-UEN entity which is provided during Corppass Admin registration. Value will be "" if user belongs to UEN entity.</td><td>String</td><td>2</td><td>Yes</td></tr><tr><td>CPNonUEN_Name</td><td>Name of Non-UEN entity which is entered during Corppass Admin registration. Value will be "" if user belongs to UEN entity.</td><td>String</td><td>100</td><td>Yes</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.corppass.gov.sg/technical-specifications/corppass-authorization-api-legacy/endpoints/token-endpoint/id-token-structure/entityinfo-claim-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
